Bug 1495481 - Search not working in ranger
Summary: Search not working in ranger
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ranger (Show other bugs)
(Show other bugs)
Version: 28
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 07:16 UTC by glutaminefree
Modified: 2018-11-04 22:08 UTC (History)
4 users (show)

Fixed In Version: ranger-1.9.2-2.fc29 ranger-1.9.2-2.fc27 ranger-1.9.2-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-30 17:31:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description glutaminefree 2017-09-26 07:16:58 UTC
Description of problem:

When I use Ranger file manager (Version 1.7.2, release 6.fc26) inside KDE Konsole (Version 17.04.1) search by pressing '/' not working.


Steps to Reproduce:
1. Open Konsole
2. Open Ranger by typing 'ranger', Enter
3. Press '/' key, enter phrase for search.


Actual results:

Nothing happens.


Expected results:

Jump to first file with match.

Comment 1 glutaminefree 2017-10-03 15:36:35 UTC
I have tried it on urxvt and got the same result - nothing happens on search.

Comment 2 aiman 2018-04-16 21:55:01 UTC
I am seeing this as well on Fedora 27 with ranger-1.7.2-7.fc27. I tried running "ranger --debug" but didn't see any errors. I deleted ~/.config/ranger and also ran with "ranger --clean" but the problem persisted.

The latest version of ranger v1.9.1 was released in February 2018. But Fedora is still shipping ranger v1.7.2, which was released in October 2015.

Is this package still being maintained?

Comment 3 glutaminefree 2018-04-17 07:52:07 UTC
(In reply to aiman from comment #2)

> The latest version of ranger v1.9.1 was released in February 2018. But
> Fedora is still shipping ranger v1.7.2, which was released in October 2015.
> 
> Is this package still being maintained?

This package in active development:
https://github.com/ranger/ranger/commits/master

I don't know why Fedora repos have so old package and have no updates for it.

Comment 4 Fedora End Of Life 2018-05-03 08:40:55 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Anatoli Babenia 2018-05-15 04:56:13 UTC
This bug is still there in Fedora 28. I updated https://release-monitoring.org/project/7426/ so now there is a new release notice https://bugzilla.redhat.com/show_bug.cgi?id=1408563#c8 However I am not sure how to move to the next step - submit a testing release to Bodhi - I am tracking this in my own repo https://github.com/yakshaveinc/linux/issues/8

Comment 6 Fedora End Of Life 2018-05-29 12:03:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Anatoli Babenia 2018-05-29 12:15:39 UTC
Still actual for F28. How to reopen?

Comment 8 Fedora Update System 2018-10-23 23:42:54 UTC
ranger-1.9.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-52de855af7

Comment 9 Fedora Update System 2018-10-23 23:43:06 UTC
ranger-1.9.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b300119773

Comment 10 Fedora Update System 2018-10-23 23:43:18 UTC
ranger-1.9.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7104b32018

Comment 11 Fedora Update System 2018-10-24 15:41:04 UTC
ranger-1.9.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b300119773

Comment 12 Fedora Update System 2018-10-25 21:17:39 UTC
ranger-1.9.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-52de855af7

Comment 13 Fedora Update System 2018-10-25 22:35:20 UTC
ranger-1.9.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7104b32018

Comment 14 Fedora Update System 2018-10-30 17:31:07 UTC
ranger-1.9.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-04 02:13:30 UTC
ranger-1.9.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-04 22:08:27 UTC
ranger-1.9.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.